Skip to main content
PATCH
/
profiles
/
{userId}
/
address
Update a user address
curl --request PATCH \
  --url {schemes}://api.upsun.com/profiles/{userId}/address \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "country": "<string>",
  "name_line": "<string>",
  "premise": "<string>",
  "sub_premise": "<string>",
  "thoroughfare": "<string>",
  "administrative_area": "<string>",
  "sub_administrative_area": "<string>",
  "locality": "<string>",
  "dependent_locality": "<string>",
  "postal_code": "<string>"
}
'
{
  "country": "<string>",
  "name_line": "<string>",
  "premise": "<string>",
  "sub_premise": "<string>",
  "thoroughfare": "<string>",
  "administrative_area": "<string>",
  "sub_administrative_area": "<string>",
  "locality": "<string>",
  "dependent_locality": "<string>",
  "postal_code": "<string>",
  "metadata": {
    "required_fields": [
      "<string>"
    ],
    "field_labels": {},
    "show_vat": true
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

userId
string
required

The UUID of the user

Body

application/json

The address of the user.

country
string<ISO ALPHA-2>

Two-letter country codes are used to represent countries and states

name_line
string

The full name of the user

premise
string

Premise (i.e. Apt, Suite, Bldg.)

sub_premise
string

Sub Premise (i.e. Suite, Apartment, Floor, Unknown.

thoroughfare
string

The address of the user

administrative_area
string<ISO ALPHA-2>

The administrative area of the user address

sub_administrative_area
string

The sub-administrative area of the user address

locality
string

The locality of the user address

dependent_locality
string

The dependant_locality area of the user address

postal_code
string

The postal code area of the user address

Response

200 - application/json

A user Address object extended with field metadata.

Information about fields required to express an address.

country
string<ISO ALPHA-2>

Two-letter country codes are used to represent countries and states

name_line
string

The full name of the user

premise
string

Premise (i.e. Apt, Suite, Bldg.)

sub_premise
string

Sub Premise (i.e. Suite, Apartment, Floor, Unknown.

thoroughfare
string

The address of the user

administrative_area
string<ISO ALPHA-2>

The administrative area of the user address

sub_administrative_area
string

The sub-administrative area of the user address

locality
string

The locality of the user address

dependent_locality
string

The dependant_locality area of the user address

postal_code
string

The postal code area of the user address

metadata
object

Address field metadata.